Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1397784 (qt5-qtwebview)

Summary: Review Request: qt5-qtwebview - Qt5 - WebView component
Product: [Fedora] Fedora Reporter: Helio Chissini de Castro <helio>
Component: Package ReviewAssignee: Rex Dieter <rdieter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, rdieter
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: rdieter: fedora-review+
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-02-07 00:24:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 928937    

Description Helio Chissini de Castro 2016-11-23 10:56:04 UTC
Spec URL: https://heliocastro.fedorapeople.org/qt5-qtwebview/qt5-qtwebview.spec
SRPM URL: https://heliocastro.fedorapeople.org/qt5-qtwebview/qt5-qtwebview-5.7.1-1.fc25.src.rpm
Description: Qt WebView provides a way to display web content in a QML application without necessarily including a full web browser stack by using native APIs where it makes sense.
Fedora Account System Username: heliocastro

Comment 1 Rex Dieter 2016-11-23 14:19:58 UTC
naming: ok

license: ok

sources: ok (for now, 5.7.1 tarballs not officially released yet)

macros: ok

scriptlets: ok

follows style/conventions of other qt5- packages


Same comments as some other qt5- related reviews,

1.  MUST reivew (and remove if needed) hard qt5 versioned dep,
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}

2.  SHOULD remove
BuildRequires: cmake
it's not needed anymore, the appropriate cmake is pulled in by qt5-rpm-macros


APPROVED

Comment 2 Rex Dieter 2017-01-24 16:25:41 UTC
confirmed imported

Comment 3 Fedora Update System 2017-01-28 18:42:16 UTC
qt5-qtwebview-5.7.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cd03ec0aa9

Comment 4 Fedora Update System 2017-01-29 02:23:12 UTC
qt5-qtwebview-5.7.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cd03ec0aa9

Comment 5 Fedora Update System 2017-02-07 00:24:14 UTC
qt5-qtwebview-5.7.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.